Skip to navigation

Collect telemetry data

Collects telemetry data, such as: application info, system info, collection info, cluster info, configs and statistics.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

anonymizebooleanOptional
If true, anonymize result
details_levelintegerOptional>=0
Level of details in telemetry data. Minimal level is 0, maximal is infinity
per_collectionbooleanOptional

If true, include per-collection request statistics in the response

timeoutintegerOptional>=1Defaults to 60
Timeout for this request

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultobjectOptional

Errors

4XX
Client Request Error